"use strict";

let http = require("http");
let express = require("express");
let compression = require("compression");
let {resolve} = require("path");
const { termoutput } = require("./config");
let server = http.createServer();
let app = express();
server.addListener("request", app);
app.use(compression({
    level: 9
}));
server.listen(7707,'0.0.0.0',() => {
    termoutput && console.log("HTTP Service Running...");
});
exports.http = server;

app.get("/script",(request, response)=>{
    response.sendFile(resolve("./script/index.js"))
});
app.get("/index.js.map",(request, response)=>{
    response.sendFile(resolve("./script/index.js.map"))
});
app.get("/webrtc.js",(request, response)=>{
    response.sendFile(resolve("./script/webrtc.js"))
});
app.get("/webrtc.adapter.js",(request, response)=>{
    response.sendFile(resolve("./script/webrtc.adapter.js"))
});
app.get("*",(request, response)=>{
    response.sendFile(resolve("./script/status.xml"))
});